#include <gtk/gtkrc.h>

typedef struct _GflatRcStyle GflatRcStyle;
typedef struct _GflatRcStyleClass GflatRcStyleClass;

extern GType gflat_type_rc_style;

#define GFLAT_TYPE_RC_STYLE              gflat_type_rc_style
#define GFLAT_RC_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), GFLAT_TYPE_RC_STYLE, GflatRcStyle))
#define GFLAT_RC_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), GFLAT_TYPE_RC_STYLE, GflatRcStyleClass))
#define GFLAT_IS_RC_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), GFLAT_TYPE_RC_STYLE))
#define GFLAT_IS_RC_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), GFLAT_TYPE_RC_STYLE))
#define GFLAT_RC_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), GFLAT_TYPE_RC_STYLE, GflatRcStyleClass))

struct _GflatRcStyle
{
  GtkRcStyle parent_instance;

  GdkColor scrollbar_color;
  gboolean has_scrollbar_color;
  double contrast;
  guint8 sunkenmenubar;
  guint8 progressbarstyle;
  guint8 menubarstyle;
  guint8 cornerstyle;
  guint8 menuitemstyle;
  guint8 listviewitemstyle;
  guint8 buttonstyle;
  guint8 button_colorborder;
  guint8 stroketransparency;
  guint8 scrollbarstyle;
  gboolean animation;
};

struct _GflatRcStyleClass
{
  GtkRcStyleClass parent_class;
};

void gflat_rc_style_register_type (GTypeModule *module);
